Public Attributes | List of all members
dma_llp_config Struct Reference
Peripheral Driver » HAL Driver » DMA » Structures » DMA Configuration

LL DMA llp config definition. More...

`#include <gr55xx_hal_dma.h>`

Collaboration diagram for dma_llp_config:
[legend]

## Public Attributes
uint32_t | llp_src_en
| Specifies the source block chaining enable. More...
uint32_t | llp_src_writeback
| Specifies the source writeback the source status information. More...
uint32_t | llp_dst_en
| Specifies the destination writeback the source status information. More...
uint32_t | llp_dst_writeback
| Specifies the detination block chaining enable. More...
struct dma_block_config * | head_lli
| Specifies the linked list pointer. More...

## Detailed Description

LL DMA llp config definition.

Definition at line 196 of file gr55xx_hal_dma.h.

## Member Data Documentation

## ◆ head_lli

struct dma_block_config* dma_llp_config::head_lli

Specifies the linked list pointer.

This parameter can be a value between 0x0 and 0xFFFFFFFF.(LLI accesses are always 32-bit accesses)

Definition at line 211 of file gr55xx_hal_dma.h.

## ◆ llp_dst_en

uint32_t dma_llp_config::llp_dst_en

Specifies the destination writeback the source status information.

This parameter can be a value DMA_LLP_DST_EN.

Definition at line 205 of file gr55xx_hal_dma.h.

## ◆ llp_dst_writeback

uint32_t dma_llp_config::llp_dst_writeback

Specifies the detination block chaining enable.

This parameter can be a value between 0x0 and 0xFFFFFFFF

Definition at line 208 of file gr55xx_hal_dma.h.

## ◆ llp_src_en

uint32_t dma_llp_config::llp_src_en

Specifies the source block chaining enable.

This parameter can be a value DMA_LLP_SRC_EN.

Definition at line 199 of file gr55xx_hal_dma.h.

## ◆ llp_src_writeback

uint32_t dma_llp_config::llp_src_writeback

Specifies the source writeback the source status information.

This parameter can be a value between 0x0 and 0xFFFFFFFF

Definition at line 202 of file gr55xx_hal_dma.h.

The documentation for this struct was generated from the following file:

- gr55xx_hal_dma.h